# 基金接口/基金申购接口

## 基金申购

> bizType=fund.app.FundApplyAppDubboService.apply\
> 基金申购\
> 登录后方可访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/基金申购接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundApplyAppDubboService.apply":{"post":{"summary":"基金申购","deprecated":false,"description":"bizType=fund.app.FundApplyAppDubboService.apply\n基金申购\n登录后方可访问","operationId":"apply","tags":["基金接口/基金申购接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFundApplyReqDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultCustomerFundApplyDto"}}},"headers":{}}}}}},"components":{"schemas":{"CreateFundApplyReqDto":{"type":"object","required":["amountPay","fundId"],"properties":{"customerNo":{"type":"string","title":"客户编号"},"currencyPay":{"type":"string","description":"支付的币种 ，或者是一篮子","title":"支付币种"},"amountPay":{"type":"number","description":"按额为：支付的金额， 按份额：申购的份额","title":"支付额度"},"applyType":{"type":"integer","format":"int32","description":"1.按金额，2.按份额","title":"申购类型"},"fundId":{"type":"integer","title":"基金id"}}},"BaseResultCustomerFundApplyDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"$ref":"#/components/schemas/CustomerFundApplyDto"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"CustomerFundApplyDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"proposalNo":{"type":"string","description":"提案号"},"companyName":{"type":"string","description":"白标公司名称"},"customerNoFun":{"type":"string","description":"基金经理对应的客户编号"},"fundId":{"type":"integer","format":"int64","description":"基金ID"},"currencyPay":{"type":"string","description":"支付的币种"},"currencyShares":{"type":"string","description":"基金币种"},"fees":{"type":"string","description":"支付的手续费"},"amountPay":{"type":"string","description":"支付的金额"},"finalAmount":{"type":"string","description":"最终申购的金额"},"shares":{"type":"string","description":"确认的份额数"},"sharesNet":{"type":"string","description":"份额的净值"},"sharesStatus":{"type":"integer","format":"int32","description":"份额确认状态：0:待确认 1.已确认 2.确认失败"},"executeStatus":{"type":"integer","format":"int32","description":"申购执⾏状态： 0.未确认 1.待执⾏ 2.执⾏成功 3.执⾏失败"},"executeId":{"type":"string","description":"批次执⾏ID"},"currencyNet":{"type":"string","description":"净值的币种"},"fundName":{"type":"string","description":"基金名称"},"executeList":{"type":"array","description":"执行标准列表","items":{"$ref":"#/components/schemas/FundsApplyExecuteRecordDetailDto"}}}},"FundsApplyExecuteRecordDetailDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"amount":{"type":"number","description":"盈利货币金额"},"baseCurrency":{"type":"string","description":"基础货币"},"profitCurrency":{"type":"string","description":"盈利货币"},"rate":{"type":"number","description":"下单比例"},"symbolId":{"type":"integer","format":"int64","description":"产品ID"},"symbolName":{"type":"string","description":"产品名称"}}}}}}
```

## 客户申购计算手续费和份额

> bizType=fund.app.FundApplyAppDubboService.calcApplyShares\
> 客户申购计算手续费和份额\
> 登录后方可访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/基金申购接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundApplyAppDubboService.calcApplyShares":{"post":{"summary":"客户申购计算手续费和份额","deprecated":false,"description":"bizType=fund.app.FundApplyAppDubboService.calcApplyShares\n客户申购计算手续费和份额\n登录后方可访问","operationId":"calcApplyShares","tags":["基金接口/基金申购接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFundApplyReqDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultFundApplyCalcDto"}}},"headers":{}}}}}},"components":{"schemas":{"CreateFundApplyReqDto":{"type":"object","required":["amountPay","fundId"],"properties":{"customerNo":{"type":"string","title":"客户编号"},"currencyPay":{"type":"string","description":"支付的币种 ，或者是一篮子","title":"支付币种"},"amountPay":{"type":"number","description":"按额为：支付的金额， 按份额：申购的份额","title":"支付额度"},"applyType":{"type":"integer","format":"int32","description":"1.按金额，2.按份额","title":"申购类型"},"fundId":{"type":"integer","title":"基金id"}}},"BaseResultFundApplyCalcDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"$ref":"#/components/schemas/FundApplyCalcDto"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"FundApplyCalcDto":{"type":"object","properties":{"fees":{"type":"string","description":"手续费"},"shares":{"type":"string","description":"预计得到的份额"},"sharesNet":{"type":"string","description":"净值"},"rate":{"type":"string","description":"汇率"},"currencyNet":{"type":"string","description":"净值的币种"},"currencyPay":{"type":"string","description":"手续费的币种"},"amountPay":{"type":"string","description":"需要支付的资产金额"},"list":{"type":"array","description":"一篮子资产列表","items":{"$ref":"#/components/schemas/CustomerFundCurrencyDto"}}}},"CustomerFundCurrencyDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"proposalNo":{"type":"string","description":"提案号"},"fundId":{"type":"integer","format":"int64","description":"基金ID"},"currency":{"type":"string","description":"币种"},"digits":{"type":"integer","format":"int32","description":"资产小数位"},"amount":{"type":"string","description":"最终申购/赎回的金额"},"fees":{"type":"string","description":"手续费"},"total":{"type":"string","description":"支付的总金额"}}}}}}
```

## 客户申购记录

> bizType=fund.app.FundApplyAppDubboService.customerPage\
> H5申购记录\
> 登录后方可访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/基金申购接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundApplyAppDubboService.customerPage":{"post":{"summary":"客户申购记录","deprecated":false,"description":"bizType=fund.app.FundApplyAppDubboService.customerPage\nH5申购记录\n登录后方可访问","operationId":"customerPage","tags":["基金接口/基金申购接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundApplyRecordDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultBasePageVoCustomerFundApplyDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundApplyRecordDto":{"type":"object","required":["customerGroupId"],"properties":{"username":{"type":"string"},"size":{"type":"integer","format":"int64","description":"每页条数"},"current":{"type":"integer","format":"int64","description":"当前页"},"downloadType":{"type":"integer","format":"int32","description":"下载类型 1：直接下载，2：异步下载"},"startTime":{"type":"integer","format":"int64"},"endTime":{"type":"integer","format":"int64"},"currencyPay":{"type":"string"},"customerCompanyId":{"type":"integer","format":"int64"},"proposalNo":{"type":"array","items":{"type":"string"}},"customerSelfNo":{"type":"array","items":{"type":"string"}},"executeId":{"type":"array","items":{"type":"string"}},"executeStatus":{"type":"integer","format":"int32"},"currencyShares":{"type":"string"},"type":{"type":"integer","format":"int32"},"customerGroupId":{"type":"integer","format":"int64","description":"客户组id"}}},"BaseResultBasePageVoCustomerFundApplyDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"$ref":"#/components/schemas/BasePageVoCustomerFundApplyDto"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"BasePageVoCustomerFundApplyDto":{"type":"object","properties":{"records":{"type":"array","description":"结果列表","items":{"$ref":"#/components/schemas/CustomerFundApplyDto"}},"total":{"type":"integer","format":"int64","description":"总数"},"size":{"type":"integer","format":"int64","description":"每页条数"},"current":{"type":"integer","format":"int64","description":"当前页"}}},"CustomerFundApplyDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"proposalNo":{"type":"string","description":"提案号"},"companyName":{"type":"string","description":"白标公司名称"},"customerNoFun":{"type":"string","description":"基金经理对应的客户编号"},"fundId":{"type":"integer","format":"int64","description":"基金ID"},"currencyPay":{"type":"string","description":"支付的币种"},"currencyShares":{"type":"string","description":"基金币种"},"fees":{"type":"string","description":"支付的手续费"},"amountPay":{"type":"string","description":"支付的金额"},"finalAmount":{"type":"string","description":"最终申购的金额"},"shares":{"type":"string","description":"确认的份额数"},"sharesNet":{"type":"string","description":"份额的净值"},"sharesStatus":{"type":"integer","format":"int32","description":"份额确认状态：0:待确认 1.已确认 2.确认失败"},"executeStatus":{"type":"integer","format":"int32","description":"申购执⾏状态： 0.未确认 1.待执⾏ 2.执⾏成功 3.执⾏失败"},"executeId":{"type":"string","description":"批次执⾏ID"},"currencyNet":{"type":"string","description":"净值的币种"},"fundName":{"type":"string","description":"基金名称"},"executeList":{"type":"array","description":"执行标准列表","items":{"$ref":"#/components/schemas/FundsApplyExecuteRecordDetailDto"}}}},"FundsApplyExecuteRecordDetailDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"amount":{"type":"number","description":"盈利货币金额"},"baseCurrency":{"type":"string","description":"基础货币"},"profitCurrency":{"type":"string","description":"盈利货币"},"rate":{"type":"number","description":"下单比例"},"symbolId":{"type":"integer","format":"int64","description":"产品ID"},"symbolName":{"type":"string","description":"产品名称"}}}}}}
```

## 获取基金底层资产信息

> bizType=fund.app.FundApplyAppDubboService.getFundCurrencyList\
> 获取基金底层资产信息\
> 登录后方可访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/基金申购接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundApplyAppDubboService.getFundCurrencyList":{"post":{"summary":"获取基金底层资产信息","deprecated":false,"description":"bizType=fund.app.FundApplyAppDubboService.getFundCurrencyList\n获取基金底层资产信息\n登录后方可访问","operationId":"getFundCurrencyList","tags":["基金接口/基金申购接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundCurrencyQueryReqDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultListCustomerFundCurrencyDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundCurrencyQueryReqDto":{"type":"object","required":["proposalNo"],"properties":{"proposalNo":{"type":"string","description":"提案号"}}},"BaseResultListCustomerFundCurrencyDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"array","description":"数据体","items":{"$ref":"#/components/schemas/CustomerFundCurrencyDto"}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"CustomerFundCurrencyDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"proposalNo":{"type":"string","description":"提案号"},"fundId":{"type":"integer","format":"int64","description":"基金ID"},"currency":{"type":"string","description":"币种"},"digits":{"type":"integer","format":"int32","description":"资产小数位"},"amount":{"type":"string","description":"最终申购/赎回的金额"},"fees":{"type":"string","description":"手续费"},"total":{"type":"string","description":"支付的总金额"}}}}}}
```

## 客户经理分页查询基金记录

> bizType=fund.app.FundApplyAppDubboService.page\
> PCUI客户经理分页查询基金记录\
> 登录后方可访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/基金申购接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundApplyAppDubboService.page":{"post":{"summary":"客户经理分页查询基金记录","deprecated":false,"description":"bizType=fund.app.FundApplyAppDubboService.page\nPCUI客户经理分页查询基金记录\n登录后方可访问","operationId":"page","tags":["基金接口/基金申购接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundApplyRecordDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultBasePageVoCustomerFundApplyDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundApplyRecordDto":{"type":"object","required":["customerGroupId"],"properties":{"username":{"type":"string"},"size":{"type":"integer","format":"int64","description":"每页条数"},"current":{"type":"integer","format":"int64","description":"当前页"},"downloadType":{"type":"integer","format":"int32","description":"下载类型 1：直接下载，2：异步下载"},"startTime":{"type":"integer","format":"int64"},"endTime":{"type":"integer","format":"int64"},"currencyPay":{"type":"string"},"customerCompanyId":{"type":"integer","format":"int64"},"proposalNo":{"type":"array","items":{"type":"string"}},"customerSelfNo":{"type":"array","items":{"type":"string"}},"executeId":{"type":"array","items":{"type":"string"}},"executeStatus":{"type":"integer","format":"int32"},"currencyShares":{"type":"string"},"type":{"type":"integer","format":"int32"},"customerGroupId":{"type":"integer","format":"int64","description":"客户组id"}}},"BaseResultBasePageVoCustomerFundApplyDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"$ref":"#/components/schemas/BasePageVoCustomerFundApplyDto"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"BasePageVoCustomerFundApplyDto":{"type":"object","properties":{"records":{"type":"array","description":"结果列表","items":{"$ref":"#/components/schemas/CustomerFundApplyDto"}},"total":{"type":"integer","format":"int64","description":"总数"},"size":{"type":"integer","format":"int64","description":"每页条数"},"current":{"type":"integer","format":"int64","description":"当前页"}}},"CustomerFundApplyDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"proposalNo":{"type":"string","description":"提案号"},"companyName":{"type":"string","description":"白标公司名称"},"customerNoFun":{"type":"string","description":"基金经理对应的客户编号"},"fundId":{"type":"integer","format":"int64","description":"基金ID"},"currencyPay":{"type":"string","description":"支付的币种"},"currencyShares":{"type":"string","description":"基金币种"},"fees":{"type":"string","description":"支付的手续费"},"amountPay":{"type":"string","description":"支付的金额"},"finalAmount":{"type":"string","description":"最终申购的金额"},"shares":{"type":"string","description":"确认的份额数"},"sharesNet":{"type":"string","description":"份额的净值"},"sharesStatus":{"type":"integer","format":"int32","description":"份额确认状态：0:待确认 1.已确认 2.确认失败"},"executeStatus":{"type":"integer","format":"int32","description":"申购执⾏状态： 0.未确认 1.待执⾏ 2.执⾏成功 3.执⾏失败"},"executeId":{"type":"string","description":"批次执⾏ID"},"currencyNet":{"type":"string","description":"净值的币种"},"fundName":{"type":"string","description":"基金名称"},"executeList":{"type":"array","description":"执行标准列表","items":{"$ref":"#/components/schemas/FundsApplyExecuteRecordDetailDto"}}}},"FundsApplyExecuteRecordDetailDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"amount":{"type":"number","description":"盈利货币金额"},"baseCurrency":{"type":"string","description":"基础货币"},"profitCurrency":{"type":"string","description":"盈利货币"},"rate":{"type":"number","description":"下单比例"},"symbolId":{"type":"integer","format":"int64","description":"产品ID"},"symbolName":{"type":"string","description":"产品名称"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/client-api/geng-duo-.../ji-jin-jie-kou-ji-jin-shen-gou-jie-kou.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
